Here line 12 and 14 should output the same value (expected output 1)

But why when I call range(i,mn,mx) it outputs 0?

# | User | Rating |
---|---|---|

1 | tourist | 3817 |

2 | jiangly | 3628 |

3 | Benq | 3584 |

4 | slime | 3498 |

5 | maroonrk | 3486 |

5 | djq_cpp | 3486 |

7 | Radewoosh | 3438 |

8 | cnnfls_csy | 3427 |

9 | zh0ukangyang | 3423 |

10 | orzdevinwang | 3399 |

# | User | Contrib. |
---|---|---|

1 | -is-this-fft- | 184 |

2 | awoo | 178 |

3 | dario2994 | 168 |

3 | SecondThread | 168 |

5 | Um_nik | 166 |

6 | maroonrk | 164 |

7 | adamant | 163 |

8 | kostka | 160 |

9 | errorgorn | 156 |

9 | antontrygubO_o | 156 |

Here line 12 and 14 should output the same value (expected output 1)

But why when I call range(i,mn,mx) it outputs 0?

May be this problem is out of my current skill. But I spend near about 6 hours in it and ended up in some observations only which are not enough to make the solution. I am stuck . How I will merge or solve the thing when after removing a segment , the resulted array will be something like this :-

initial array : 3 1 1 2 2 2 2 1 3 3

after removing all 2 : 3 1 1 _ _ _ _ 1 3 3 ==> 3 1 1 1 3 3

Any help please..

One more thing , I did not understand the editorial of this problem!

Can anyone help me with this problem?

I have learnt sprague grundy numbers recently.

I am doing CF for about one year. But still , I am newbie here. It is not like that A,B seem so hard.I become so nervous during cf round .

During contest suddenly my head becomes blank and I feel like I am caged and so I cannot think further . As a result , I cannot come to solution for any problem further .

It is destroying my confidence level day by day.

And during practice , I do not follow any particular strategy . Because I get confused what to do! Sometimes I solve from cf according to junior practise sheet(provided by an arabian coach may be, found online), sometimes I solve from light oj/uva and sometimes I learn Algorithms . Algorithms I know -

Bfs,dfs,mst,dijkstra,nim,trie,kmp,binary search,matrix exponentiation, dp(coin change,knapsack,LCS,LIS,edit distance)

I have solved average 9 to 10 problems on these topics.

I know more algorithms like segment tree,LCA etc on which I have just solved 2 to 3 problems.

I will be grateful if anyone will share their practice strategy and how can I overcome my problem of being caged during online contest? Any advice to practice more efficiently will be highly desired :)

MLE for 31 no test case.

Here is my code.

Can anyone give me any hints to solve the 124C. I have not understood the editorial clearly .

Codeforces (c) Copyright 2010-2022 Mike Mirzayanov

The only programming contests Web 2.0 platform

Server time: Dec/02/2022 09:53:46 (h3).

Desktop version, switch to mobile version.

Supported by

User lists

Name |
---|